Bug 60982 - openssh-3.1p1-2 and X11 forwarding over IPv6
openssh-3.1p1-2 and X11 forwarding over IPv6
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: 65543 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-03-11 04:50 EST by Per Steinar Iversen
Modified: 2007-04-18 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-31 07:06:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Per Steinar Iversen 2002-03-11 04:50:39 EST
Description of Problem:

Openssh-3.1p1-2 does not do X11 forwarding on servers that supports both IPv4
and IPv6.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. Upgrade to openssh-3.1p1-2
2. Login by ssh
3. Try to open an xterm window

Actual Results:

Get this error message:

Warning: This program is an suid-root program or is being run by the root user.
The full text of the error or warning message cannot be safely formatted
in this environment. You may get a more descriptive message by running the
program as a non-root user or by removing the suid bit on the executable.
xterm Xt error: Can't open display: %s

Expected Results:

An xterm windows should appear.

Additional Information:
Using lsof and strace it is clear that openssh X11 forwarding happens locally
over while openssh only listens on ::1 if IPv6 is available.

A simple way to get X11 forwarding to work is to start sshd with the -4 option.
Previous versions of openssh did not have this problem.
Comment 1 Tomas Mraz 2005-02-03 07:05:20 EST
Does it still happen with current Fedora Core?
Comment 2 Tomas Mraz 2005-02-03 08:03:38 EST
*** Bug 65543 has been marked as a duplicate of this bug. ***
Comment 3 Tomas Mraz 2005-03-31 07:06:24 EST
No response, please reopen if still happens with a current FC/RHEL release.

Note You need to log in before you can comment on or make changes to this bug.